#!/bin/bash

if [ ! -e /media/zm.conf ]; then
  echo Copying default zm.conf
  mv /etc/zm/zm.conf /media
  ln -s /media/zm.conf /etc/zm/zm.conf
fi

if [ ! -e /media/mysql ]; then
  echo Setting up mysql DB for first start
  # Copy DB. Config is already updated to look there
  cp -ar /var/lib/mysql /media/mysql
  SET_UP_DB=yes
fi

if [ ! -d /media/events ]; then
  echo Initializing /media/events directory
  mkdir /media/events
  chown www-data:www-data /media/events
  rm /usr/share/zoneminder/events
  ln -s /media/events /usr/share/zoneminder/events
fi

if [ ! -d /media/images ]; then
  echo Initializing /media/images directory
  mkdir /media/images
  chown www-data:www-data /media/images
  rm /usr/share/zoneminder/images
  ln -s /media/images /usr/share/zoneminder/images
fi

# Start MySQL
service mysql start

if [ "$SET_UP_DB" == 'yes' ]; then
  # Create the ZoneMinder database
  mysql -u root < /usr/share/zoneminder/db/zm_create.sql

  # Add the ZoneMinder DB user
  mysql -u root -e "grant insert,select,update,delete,lock tables,alter on zm.* to 'zmuser'@'localhost' identified by 'zmpass'"
fi

# Restart apache to pick up previous config changes
service apache2 restart

# Start ZoneMinder
service zoneminder start

# Start SSHD
mkdir /var/run/sshd
/usr/sbin/sshd -D
